Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1317 - tcsh crashes while performing filename completion
Summary: tcsh crashes while performing filename completion
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-24 18:08 UTC by drabent
Modified: 2015-03-17 20:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-08 17:43:36 UTC


Attachments (Terms of Use)

Description drabent 1999-02-24 18:08:32 UTC
tcsh  crashes  when using <Tab> key in certain contexts.
For instance
    ls  =1/a<Tab>
(when =1 exists on the stack) crashes tcsh with signal 11.

I could reproduce this behaviour on two installations of RH
linux 5.2, with  tcsh  running in a terminal window under X.

Also, when tcsh is a login shell, running in a console,
pressing Tab results sometimes in hanging all the system
(all the consoles).
This I have not tried to reproduce/investigate.

It seems that I had similar behaviour after pressing ctrl-D.
In that case the matching filenames were displayed for a
moment before the crash of tcsh.

Sincerely
--Wlodek

Comment 1 openshift-github-bot 2015-03-17 20:25:40 UTC
Commits pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/6594ffdac91d9f7a4a50a0288dc73d01c2f09093
Issue1317 - Added error logging to webhook controller

https://github.com/openshift/origin/commit/2926dd5573c7532f55ddbd1ece3f06a1dc15f385
Merge pull request #1333 from soltysh/issue1317

Merged by openshift-bot


Note You need to log in before you can comment on or make changes to this bug.